Skip to main content
GET
/
api
/
v1
/
agents
/
{agent_id}
/
versions
/
{version}
Python (SDK)
from meetkai_mka1 import SDK


with SDK(
    bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:

    res = sdk.agent_versions.get_agent_version(agent_id="<id>", version=652149)

    # Handle response
    print(res)
{
  "object": "agent.version",
  "id": "<string>",
  "agent_id": "<string>",
  "version": 2,
  "is_current": true,
  "restored_from_version": 2,
  "name": "<string>",
  "description": "<string>",
  "model": "functionary-pt",
  "instructions": "<string>",
  "tools": [
    {
      "user_location": {
        "type": "approximate",
        "city": "<string>",
        "country": "<string>",
        "region": "<string>",
        "timezone": "<string>"
      },
      "filters": {
        "allowed_domains": [
          "<string>"
        ]
      }
    }
  ],
  "tool_choice": "<string>",
  "parallel_tool_calls": true,
  "max_tool_calls": 123,
  "text": {
    "format": {}
  },
  "reasoning": {},
  "metadata": {},
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Headers

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Path Parameters

agent_id
string
required
version
integer
required
Required range: x >= 1

Response

Agent version found.

object
enum<string>
required
Available options:
agent.version
id
string
required
agent_id
string
required
version
integer
required
Required range: x >= 1
is_current
boolean
required

True when this version matches the agent's current configuration.

restored_from_version
integer | null
required

When this version was produced by a rollback, the version it was restored from.

Required range: x >= 1
name
string
required
description
string | null
required
model
string
required
Example:

"functionary-pt"

instructions
string | null
required
tools
object[]
required
tool_choice
required
parallel_tool_calls
boolean
required
max_tool_calls
integer | null
required
text
object
required
reasoning
object
required
metadata
object
required
created_at
string<date-time>
required